Subject: Ticket Assigned - Delivery
From: Max <[email-masked]>
To: [email-masked]
Date: Fri, 16 Apr 2021 11:07:20 +0000

Hi Elharith elsiddig,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery Hello,
Unfortunately you have the worst customer service experience 
I ordered yesterday and I received a message that estimated day of delivery by 19-4-2021  today at 12:21 the driver called me and I didn’t answer because I didn’t hear my mobile plus I don’t know that i will receive my order today , I called him back at the 12:47 two times and no answer i sent him what’s app he saw the message and didn’t answer is he ignoring me !
How can I know that they will deliver it today they should send a message one day before that my shipment is out for delivery.
I think this will be last time i will order from max
The driver  number is 94017056
I have screenshots, if didn’t receive my order today i will cancel my order. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2409283